package com.ztmap.project.zhny.energystoragestatus.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ztmap.framework.aspectj.lang.annotation.Excel;
import com.ztmap.framework.web.domain.BaseEntity;

/**
 * 储能状态对象 t_energy_storage_status
 * 
 * @author ztmap
 * @date 2023-10-09
 */
public class TEnergyStorageStatus extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 数据时间 */
    @Excel(name = "数据时间")
    private String dataTime;

    /** 故障状态（1：故障 2：正常） */
    @Excel(name = "故障状态", readConverterExp = "1=：故障,2=：正常")
    private Long faultState;

    /** 实时充电量 */
    @Excel(name = "实时充电量")
    private Double ssCdl;

    /** 实时状态 */
    @Excel(name = "实时状态")
    private String ssStatus;

    /** 今日发电 */
    @Excel(name = "今日发电")
    private Double jrFd;

    /** 今日放电 */
    @Excel(name = "今日放电")
    private Double jrfd;

    /** 电池温度 */
    @Excel(name = "电池温度")
    private Double dcwd;

    /** SOH充电量 */
    @Excel(name = "SOH充电量")
    private Double sohCdl;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDataTime(String dataTime)
    {
        this.dataTime = dataTime;
    }

    public String getDataTime()
    {
        return dataTime;
    }
    public void setFaultState(Long faultState)
    {
        this.faultState = faultState;
    }

    public Long getFaultState()
    {
        return faultState;
    }
    public void setSsCdl(Double ssCdl)
    {
        this.ssCdl = ssCdl;
    }

    public Double getSsCdl()
    {
        return ssCdl;
    }
    public void setSsStatus(String ssStatus)
    {
        this.ssStatus = ssStatus;
    }

    public String getSsStatus()
    {
        return ssStatus;
    }
    public void setJrFd(Double jrFd)
    {
        this.jrFd = jrFd;
    }

    public Double getJrFd()
    {
        return jrFd;
    }
    public void setJrfd(Double jrfd)
    {
        this.jrfd = jrfd;
    }

    public Double getJrfd()
    {
        return jrfd;
    }
    public void setDcwd(Double dcwd)
    {
        this.dcwd = dcwd;
    }

    public Double getDcwd()
    {
        return dcwd;
    }
    public void setSohCdl(Double sohCdl)
    {
        this.sohCdl = sohCdl;
    }

    public Double getSohCdl()
    {
        return sohCdl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dataTime", getDataTime())
            .append("faultState", getFaultState())
            .append("ssCdl", getSsCdl())
            .append("ssStatus", getSsStatus())
            .append("jrFd", getJrFd())
            .append("jrfd", getJrfd())
            .append("dcwd", getDcwd())
            .append("sohCdl", getSohCdl())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
